lucene-solr-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jack Park <jackp...@topicquests.org>
Subject New user: version conflict for ....
Date Thu, 27 Dec 2012 04:47:55 GMT
I am running against a networked Solr4 installation -- but not using
any of the cloud apparatus. I wish to update a document (Node) with
new information. I send back as a partial update using SolrJ's add()
command
document id
the new or updated field
version number precisely as it was fetched

What I get back is an error message:
version conflict for MyFirstNode1356582803755
expected=1422480157168369664 actual=1422480158385766400

When I look at that document in the admin browser, it looks like this:
{
    "TupleListProperty": [
        "250d3a66\\-c2cc\\-4c83\\-9b93\\-46cfdde120b8"
    ],
    "_version_": 1422480158385766400,
    "LocatorPropertyType": "MyFirstNode1356582803755"
}

which means all the other data in that node were replaced.

There must be something obvious I am missing. Is there a particular
recipe online using SolrJ to do this properly?

Many thanks in advance
Jack

Mime
View raw message